# Contributing

Our users have a wonderful perspective into our documentation that our staff do not. 
It's easy for people who have been using it for a while
to forget how impenetrable some of this material can be. As such, we 
greatly welcome feedback and contributions of all kinds:
suggested changes,
fixes to existing material,
and bug reports are all welcome.

## Contributor Agreement

By contributing,
you agree that we may redistribute your work under [our license](LICENSE).

## How to Contribute a Fix or Suggested Change

The easiest way to get started is to file an issue
to tell us about a spelling mistake,
some awkward wording,
or a factual error.

1.  If you do not have access to [UNL's GitLab instance](http://git.unl.edu),
    you can [send us comments by email](mailto:hcc-support@unl.edu).
    However,
    we will be able to respond more quickly if you use one of the other methods described below.

2.  If you have access to [UNL's GitLab instance](http://git.unl.edu),
    but do not know how to use Git,
    you can report problems or suggest improvements by [creating an issue](https://git.unl.edu/hcc/hcc-docs/issues/new).
    This allows us to assign the item to someone
    and to respond to it in a threaded discussion. Detailed information on creating 
    issues can be found in the [GitLab Documentation](https://docs.gitlab.com/ee/user/project/issues/managing_issues.html)

3.  If you are comfortable with Git,
    and would like to add or change material,
    you can submit a pull request (PR).
    Instructions for doing this are [included below](#using-gitlab).

## Where to Contribute

1.  Checking for outstanding [issues](https://git.unl.edu/hcc/hcc-docs/issues) is a quick way to identify contribution areas. Additionally,
    review an comments on existing merge requests are welcome.

2.  All documentation content can be found within the `content` folder. Subdirectories indicate menu items,
    with the top level document called `_index.md` within each subdirectory.

Note: please do not submit modifications to theme or CSS items, `_header` or `_footer` files unless they 
adhere to [UNL style guidelines](https://wdn.unl.edu/unl-web-framework-5-standards-guide).

## What to Contribute

There are many ways to contribute,
from contributing additional documentation topics or submitting software specific job examples, 
to updating or adding to existing documentation and submitting [bug reports](https://git.unl.edu/hcc/hcc-docs/issues)
about things that don't work, aren't clear, or are missing.

Comments on issues and reviews of pull requests are just as welcome:
we are smarter together than we are on our own.
Reviews from novices and newcomers are particularly valuable:
so fresh eyes are always welcome.

## Using GitLab

The best way to submit proposed changes is:
1. Create a fork of the HCC docs repository.
    - [Documentation on how to fork a project](https://docs.gitlab.com/ee/gitlab-basics/fork-project.html)
2. Clone your forked repository and commit changes.
    - [Details on setting up a Hugo environment on your personal machine](README.md)
3. Submit a merge request between your fork and the main HCC docs repository.
    - [How to submit a merge request](https://docs.gitlab.com/ee/gitlab-basics/add-merge-request.html)

## Other Resources

If you have any questions or feedback, please contact us at hcc-support@unl.edu.
