+++
title = "HCC Class Info for Instructors"
description = "Information for instructors teaching class using HCC resources"
weight = "95"
+++

The Holland Computing Center (HCC) provides high-performance computing resources for Universities and Colleges in the state of Nebraska. HCC supports both research and creative, and class activity.


This guide provides a list of useful links for classes utilizing HCC resources.


## Useful links for instructors
- Class group creation form, https://hcc.unl.edu/new-group-request
- Class group renewal form, https://hcc.unl.edu/class-renewal-request
- Link to HCC class policy page, https://hcc.unl.edu/hcc-policies#class-groups


## Useful notes for instructors
- Each student request to join the class HCC group needs to be approved by the instructor. To ease this process, you can send us roster of the class so we can create the accounts without further approval.
- Some classes may utilize custom conda environments. Some conda environments, especially the GPU-based ones, **can be very large and can easily exceed the available $HOME quotas** of 20GBs. To avoid this, **we recommend creating group-level custom conda environment**. If you are interested in this, please email hcc-support@unl.edu for further information.
- If data needs to be shared among all class members, please see https://hcc.unl.edu/docs/handling_data/swan_data_sharing/#using-group-level-shared-directory for best practices. 
- Some instructors utilize the **command-line to access Swan** (https://hcc.unl.edu/docs/connecting/terminal/), while some instructors utilze the **HCC OnDemand web portal** (https://hcc.unl.edu/docs/open_ondemand/). The HCC OnDemand portal provides graphical interface to Swan, and includes many graphical applications such as JupyterLab, RStudio, Virtual Desktop, etc.
- We provide many software tools and packages as system-wide modules on Swan, https://hcc.unl.edu/docs/applications/modules/available_software_for_swan/. If you need Linux software package that is not currently available, you can request for it to be installed system-wide using the Software Install Request Form https://hcc.unl.edu/software-installation-request.
- You can request in-class HCC training/presentation, https://hcc.unl.edu/docs/faq/#can-hcc-provide-training-for-my-group.
- Creating and setting HCC accounts takes some time. **To motivate students to create HCC accounts before the training/assignments are due, some instructors make this process a graded assignment**.
- We would strongly recommend you to send Canvas announcement to your students with various useful links and information, especially if in-class HCC training/presentation is scheduled. You can use the template below, where you need to change `COURSE_GROUP` and the dates at the end. Please feel free to modify the template accordingly.

```
We will be utilizing the Holland Computing Center (HCC) for our course this semester and will be having a hands-on tutorial during the first few weeks of the semester. 

To use these resources, you will need an account associated with HCC that is separate from your University of Nebraska account and credentials. 

Below are links to get access to HCC resources specific for this class:
- If you already have an HCC account from a prior class or research, you can add the class group to your account or move your account to the COURSE_GROUP group: https://hcc.unl.edu/group-addchange-request.
- If you need an HCC account: https://hcc.unl.edu/new-user-request.

For more useful links and notes for students taking class using HCC resources, please see https://hcc.unl.edu/docs/faq/class_students.

While using HCC resources for this class, you will need to be aware of HCC's class account guidelines and center's policies: https://hcc.unl.edu/hcc-policies.

Pay special attention to the guidelines for class accounts since data is removed at the end of the semester: https://hcc.unl.edu/hcc-policies#class-groups.

**You will need to activate your DUO two factor for your HCC account in order to use the resources. Without this you will not have access!**

This will need completed by <INSERT DATE HERE> since we will have staff from HCC providing a tutorial on <INSERT DATE HERE>. 
```
