+++
title = "The National Research Platform"
description = "How to utilize the National Research Platform (NRP)."
weight = "90"
+++

### What is the National Research Platform (NRP)?

The [National Research Platform](https://nationalresearchplatform.org) is a partnership of more than 50 institutions, led by researchers at UC San Diego, University of Nebraska-Lincoln, and UC Berkeley and includes the National Science Foundation, Department of Energy, and multiple research universities in the US and around the world.

The major resource of NRP is a heterogenous globally distributed, open system that fetures a variety of CPUs, GPUs and storage, arranged into a Kubernetes cluster called [Nautilus](https://docs.pacificresearchplatform.org). 

The map below shows the National Research Platform resources located across the world.

<iframe
  src="https://elastic-igrok.nrp-nautilus.io/app/dashboards/?auth_provider_hint=anonymous1#/view/76b9b030-81d5-11eb-ad7c-1f5ec373b923?embed=true&_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1d,to:now))&hide-filter-bar=true"
  style="width:100%; height:600px;"
></iframe>

This help document covers these topics:

- [Quick Start]({{< relref "quick_start">}})
- [Basic Kubernetes]({{< relref "basic_kubernetes">}})
- [GPU Pods]({{< relref "gpu_pods">}})
- [Batch Jobs]({{< relref "batch_jobs">}})
- [Deployments]({{< relref "deployments">}})
- [Storage]({{< relref "storage">}})
- [JupyterHub Services]({{<relref "jupyterhub">}})

The full documentation of the NRP Nautilus Cluster can be found at https://docs.pacificresearchplatform.org.
To get help regarding using the NRP Nautilus Cluster, please refer to the [Contact page](https://docs.pacificresearchplatform.org/userdocs/start/contact/)
