+++
title = "JupyterHub Service"
description = "JupyterHub Service"
weight=70
+++

### [JupyterHub](https://jupyterhub-west.nrp-nautilus.io) on Nautilus

[JupyterHub](https://jupyterhub-west.nrp-nautilus.io) service is provided on the Nautilus Cluster, which is great
if you need to quickly run your workflow and do not want to learn any
kubernetes. Simply follow the link to [https://jupyterhub-west.nrp-nautilus.io](https://jupyterhub-west.nrp-nautilus.io), click the **Sign in With CILogon** button, and use your institutional credentials to login using CILogon. After authentication, choose the hardware specs to spawn your instance. An example of the specs selection is shown as below:

{{<figure src="/images/nrp-jupyterhub-options.png">}}

Your persistent home folder initially will be limited to 5GB. If you need more, you can request it to be extended.
You can also request for [cephFS storage](https://docs.pacificresearchplatform.org/userdocs/storage/ceph/)  that is mounted to a shared disk space. All these requests can be made by **contacting NRP admins through [Matrix](https://docs.pacificresearchplatform.org/userdocs/start/contact/)**.
Please use this to store all the data, code and results that you would need for long experiments.


**NOTE:** Your jupyter container will shut down 1hr after your browser disconnects from it. If you need your job to keep running, don't close the browser window.
You could either use a desktop with a persistent Internet connection or only use this for testing your code.

**NOTE:** Available images are described in the [scientific images section](https://docs.pacificresearchplatform.org/userdocs/running/sci-img/).

If you need to use an image that is not provided by NRP, proceed to [Step by Step Tensorflow with Jupyter](https://docs.pacificresearchplatform.org/userdocs/jupyter/jupyter-pod). If you prefer a customized JupyterHub, follow the guide to [Deploy JupyterHub](https://docs.pacificresearchplatform.org/userdocs/jupyter/jupyterhub/) to deploy your own JupyterHub instance on the Nautilus Cluster.
