+++
title = "HCC Documentation"
description = "HCC Documentation Home"
weight = "1"
+++

HCC Documentation
============================

The Holland Computing Center supports a diverse collection of research
computing hardware.  Anyone in the University of Nebraska system is
welcome to apply for an account on HCC machines.

Access to these resources is by default shared with the rest of the user
community via various job schedulers. These policies may be found on the
pages for the various resources. Alternatively, a user may buy into an
existing resource, acquiring 'priority access'. Finally, several
machines are available via Condor for opportunistic use. This will allow
users almost immediate access, but the job is subject to preemption.

## Getting Started

To begin using HCC resources:

1. [Set up your HCC account]({{< relref "accounts/" >}})
2. [Connect to HCC Clusters]({{< relref	"connecting/" >}})
3. [Transfer data to HCC Clusters]({{< relref "handling_data/" >}})
4. [Check software availability]({{< relref "applications/" >}})
5. [Submit jobs on HCC Clusters]({{< relref "submitting_jobs/" >}})

Which Cluster to Use?
---------------------

**Swan**: Swan is the newest and most powerful HCC resource. If you
are new to using HCC resources, Swan is the recommended cluster to use
initially. Swan has 2 Intel Icelake CPUs (56 cores) per node, with 256GB RAM per
node.

Resources
---------

- ##### Swan - HCC's newest Intel-based cluster, with 56 cores and 256GB RAM per node.

- ##### Red - This cluster is the resource for UNL's [USCMS](https://uscms.org/) Tier-2 site.

- ##### Anvil - HCC's cloud computing cluster based on Openstack

- ##### Glidein - A gateway to running jobs on the OSG, a collection of computing resources across the US.

Resource Capabilities
---------------------

| Cluster | Overview | Processors | RAM\* | Connection | Storage
| ------- | ---------| ---------- | --- | ---------- | ------
| **Swan** | 168 node LINUX cluster | 168 Intel Xeon Gold 6348 CPU, 2 CPU/56 cores per node | 168 nodes @ 256GB <br><br> 2 nodes @ 2000GB | HDR100 Infiniband | 3.5TB local scratch per node <br><br> ~5200TB shared Lustre storage |
| **Red** | 344 node LINUX cluster | Various Xeon and  Opteron processors 7,280 cores maximum, actual number of job slots depends on RAM usage | 1.5-4GB RAM per job slot | 1Gb, 10Gb, and 40Gb Ethernet | ~10.8PB of raw storage space |
| **Anvil** | 76 Compute nodes (Partially used for cloud, the rest used for general computing), 12 Storage nodes, 2 Network nodes Openstack cloud | 76 Intel Xeon E5-2650 v3 2.30GHz 2 CPU/20 cores per node | 76 nodes @ 256GB | 10Gb Ethernet | 528 TB Ceph shared storage (349TB available now) |

\* Due to overhead for the operating system and hardware, the maximum available memory is lower than the total installed memory. Requesting more may result in your job not running, being delayed, or running on a smaller number of nodes.
