+++
title = "Anvil Instance Types"
description = "Details on the available instance types (flavors)"
+++

Anvil provides many instance types that are optimized for different
usage patterns.

---

### General Purpose Instances

#### Use Cases

Development environments, build servers, code repositories, low-traffic
websites and web applications, micro services, early product
experiments, small databases.

| Instance Name   | CPUs | Memory | Root Disk |
| --------------- | ---- | ------ | --------  |
| general.small   | 1    | 2GB    | 20GB      |
| general.medium  | 1    | 3.8GB  | 40GB      |
| general.large   | 2    | 7.5GB  | 80GB      |
| general.xlarge  | 4    | 15GB   | 160GB     |
| general.2xlarge | 8    | 30GB   | 160GB     |
| general.4xlarge | 16   | 60GB   | 160GB     |

### High-Memory Instances

#### Use Cases

We recommend high memory instances for high performance databases,
genome assembly and analysis.

| Instance Name  | CPUs | Memory | Root Disk |
|----------------|------|--------|-----------|
| memory.large   | 2    | 15GB   | 80GB      |
| memory.xlarge  | 4    | 30GB   | 160GB     |
| memory.2xlarge | 8    | 60GB   | 160GB     |
| memory.4xlarge | 16   | 120GB  | 160GB     |

### Compute Instances

#### Use Cases

We recommend compute instances for CPU intensive tasks which don't
require large amounts of memory. 

| Instance Name   | CPUs | Memory | Root Disk |
|-----------------|------|--------|-----------|
| compute.large   | 2    | 3.8GB  | 80GB      |
| compute.xlarge  | 4    | 7.5GB  | 160GB     |
| compute.2xlarge | 8    | 15GB   | 160GB     |
| compute.4xlarge | 16   | 30GB   | 160GB     |
| compute.8xlarge | 32   | 60GB   | 160GB     |
