+++
title = "Connecting to the Anvil VPN"
description = "You must first connection to the Anvil VPN to access your instance."
+++

Instances running in Anvil are assigned a private IP address starting
with "10.71". You can connect to these private IP addresses from any HCC
cluster worker or login node.

To directly access your instance from your home or office computer,
connect to the Anvil VPN service.

---

### Installing software for your PC

{{% notice info %}}
The Cisco AnyConnect client is available at [this link](https://hcc.unl.edu/vpn/).
{{% /notice %}}

_Please note you will be required to sign in using your HCC credentials in order to download the software._

After signing in, download the package appropriate for your operating system and run the installer.

{{% notice warning %}}
When installing Cisco AnyConnect, please unselect all install options except the **Core & VPN** one.
Not doing this will cause frequent loss of network connectivity when using the Cisco AnyConnect client.
{{% /notice %}}

Alternatively, you may use the freely available [OpenConnect VPN client](http://openconnect.github.io/openconnect-gui).


#### Connecting with the Cisco client

Open the "Cisco AnyConnect Secure Mobility Client" and connect to **anvil-vpn.unl.edu**

{{< figure src="/images/13042825.png" >}}

Login with your HCC username and password

{{< figure src="/images/13042826.png" >}}

{{< figure src="/images/13042827.png" >}}

Login with Duo

{{< figure src="/images/13042828.png" >}}


| Type...    | To...                                                                                    |
|------------|------------------------------------------------------------------------------------------|
| ***push*** | Push a login request to your phone. Just review the request and tap "Approve" to log in. |
| *phone*    | Authenticate via phone callback.                                                         |
| *sms*      | Get a new batch of SMS passcodes.                                                        |
| A passcode | Log in using a passcode, either generated with Duo Mobile, or your YubiKey               |

### Installing software for your Android or Apple device

- Android
  - Install [OpenConnect](https://play.google.com/store/apps/details?id=app.openconnect) or
    [AnyConnect ICS+](https://play.google.com/store/apps/details?id=com.cisco.anyconnect.vpn.android.avf)
    from the Google Play Store.
- Apple
  - Install [Cisco AnyConnect](https://itunes.apple.com/us/app/cisco-anyconnect/id1135064690) from the Apple App Store
