+++
title = "Formatting and mounting a volume in Windows"
description = "How to format and mount volume as a hard drive in Windows."
+++

{{% notice info %}}
This guide assumes you associated your SSH Key Pair with the instance
when it was created, and that you are connected to the [Anvil VPN]({{< relref "connecting_to_the_anvil_vpn" >}}).
{{% /notice %}}

{{% notice note %}}
**These steps are only for a newly created volume.** When attaching a
previously formatted volume to an instance, it will automatically be visible as a second drive.
{{% /notice %}}

---

Once you have [created and attached]({{< relref "creating_and_attaching_a_volume" >}}) your
volume, it must be formatted and mounted in your Windows instance to be
usable.  This procedure is identical to what would be done when
attaching a second hard drive to a physical machine.  In this example, a
10GB volume was created and attached to the instance.

From the *Start* menu, right-click on *Computer*, and select *Manage*.

{{< figure src="/images/13599562.png" >}}

This will open the *Computer Management* utility.  On the left-hand side
menu, click *Disk Management*.

{{< figure src="/images/13599566.png" width="800" >}}

You should see two entries.  One for the OS hard drive, and a second
unallocated disk.

{{< figure src="/images/13599569.png" width="800" >}}

Right click anywhere in the white rectangle for the unallocated disk and
choose *New Simple Volume...*.

{{< figure src="/images/13599574.png" width="800" >}}

This will bring up the *New Simple Volume Wizard*.  Click *Next* to
continue.

{{< figure src="/images/13599577.png" >}}

The default is to format the entire volume.  Unless there is a specific
reason not to, click *Next* to continue.

{{< figure src="/images/13599578.png" >}}

The default is to assign the volume a drive letter (typically *D*).
Click *Next* to continue.

{{< figure src="/images/13599579.png" >}}

Change the *Volume label* field if you wish the drive to be named
something other than the default, and click *Next* to continue.

{{< figure src="/images/13599580.png" >}}

Finally, click *Finish* to close the wizard.

{{< figure src="/images/13599581.png" >}}

In the *Computer Management* window, you should now see the formatted
and mounted volume.

{{< figure src="/images/13599584.png" width="800" >}}

If you open the *Computer* window, you should now see the volume as a
second hard drive.

{{< figure src="/images/13599585.png" >}}

The volume can now be used.
