+++
title = "Resizing an instance"
description = "How to change the size (flavor) of an existing instance."
+++

It is possible to resize an existing instance. To do so, please follow the
steps below.

{{% notice info %}}
An instance can only be resized to a flavor with a disk size equal or
larger to the existing one. To use a flavor with a smaller disk size,
you will need to create a new instance.
{{% /notice %}}

---

#### To resize an instance:

1.  The resize procedure requires that your instance be shutdown and
    rebooted. Ensure that your instance is ready to be shutdown. If
    necessary, connect to your instance and stop any running
    processes.

2.  Login to the Anvil Dashboard at https://anvil.unl.edu
    with your HCC credentials.

3.  Click *Instances* in the menu on the left and locate your
    instance.  
    {{< figure src="/images/35325991.png" height="400" >}}

4.  If you have important data in your instance and want to protect
    against possible data loss, take a snapshot of the image.

    1.  To take a snapshot, clicking the *Create Snapshot* button on the
        right hand side of your image in the list.

        {{< figure src="/images/35325992.png" width="850" >}}

    2.  Enter an identifiable name for your snapshot and click *Create Snapshot*.
        {{< figure src="/images/35325993.png" heigth="150" >}}

    3.  You will be taken to the *Images* page, where your snapshot will
        be Queued. Wait until the image has finished saving, as
        indicated by the Status changing to *Active*
        {{< figure src="/images/35326002.png" width="850" >}}

    4.  Return to the Instance list by clicking *Instances* in the left
        hand menu.

5.  Click the down arrow next to the *Create Snapshot* button and click
    *Resize Instance* in the menu.
    {{< figure src="/images/35326003.png" width="200" >}}

6.  Select the desired New Flavor and click the *Resize* button.
    {{< figure src="/images/35326004.png" width="550" >}}

7.  Wait until the instance is resized as indicated by the status
    "Confirm or Revert Resize/Migrate". Click the *Confirm
    Resize/Migrate* button to finalize the resize.
    {{< figure src="/images/35326006.png" width="850" >}}

At this point, your instance should have a status of *Active*. Connect
to your instance and ensure that everything works as expected.

{{% notice warning %}}
If your instance ends in an "Error" state or you have any issues or questions with resizing, please contact us at [hcc-support@unl.edu](mailto:hcc-support@unl.edu) for assistance.{{% /notice %}}
