+++
title = "Allinea Profiling & Debugging Tools"
description = "How to use the Allinea suite of tools for profiling and debugging."
+++

HCC provides both the Allinea Forge suite and Performance Reports to
assist with debugging and profiling C/C++/Fortran code.  These tools
support single-threaded, multi-threaded (pthreads/OpenMP), MPI, and CUDA
code.  The Allinea Forge suite consists of two programs:  DDT for
debugging and MAP for profiling.  The Performance Reports software
provides a convenient way to profile HPC applications.  It generates an
easy-to-read single-page HTML report.

For information on using each tool, see the following pages.

[Using Allinea Forge via Reverse Connect]({{< relref "using_allinea_forge_via_reverse_connect" >}})

[Allinea Performance Reports]({{< relref "allinea_performance_reports" >}})

#### External links

The following external links may also be useful:

[Using Arm Forge when working remotely](https://community.arm.com/arm-community-blogs/b/high-performance-computing-blog/posts/debugging-profiling-hpc-applications-working-remotely)

[Getting started videos](https://developer.arm.com/tools-and-software/server-and-hpc/arm-architecture-tools/arm-forge/videos)

[Offline debugging](https://community.arm.com/developer/tools-software/hpc/b/hpc-blog/posts/debugging-while-you-sleep)

[More offine debugging](https://community.arm.com/developer/tools-software/hpc/b/hpc-blog/posts/more-debugging-while-you-sleep-with-ddt)

[Python debugging](https://developer.arm.com/documentation/101136/2102/DDT/Get-started-with-DDT/Python-debugging)

[Python profiling](https://developer.arm.com/documentation/101136/2102/MAP/Python-profiling)
