+++
title = "Available Software for Swan"
description = "List of available software for swan.unl.edu."
scripts = ["https://cdnjs.cloudflare.com/ajax/libs/jquery.tablesorter/2.31.1/js/jquery.tablesorter.min.js", "https://cdnjs.cloudflare.com/ajax/libs/jquery.tablesorter/2.31.1/js/widgets/widget-pager.min.js","https://cdnjs.cloudflare.com/ajax/libs/jquery.tablesorter/2.31.1/js/widgets/widget-filter.min.js","/js/sort-table.js"]
css = ["http://mottie.github.io/tablesorter/css/theme.default.css","https://mottie.github.io/tablesorter/css/theme.dropbox.css", "https://cdnjs.cloudflare.com/ajax/libs/jquery.tablesorter/2.31.1/css/jquery.tablesorter.pager.min.css","https://cdnjs.cloudflare.com/ajax/libs/jquery.tablesorter/2.31.1/css/filter.formatter.min.css"]
+++

{{% notice tip %}}
HCC provides some software packages via the Apptainer container
software. If you do not see a desired package in the module list below,
please check the [Using Apptainer]({{< relref "using_apptainer" >}})
page for the software list there.
{{% /notice %}}

{{% panel theme="warning" header="Module prerequisites" %}}
If a module lists one or more prerequisites, the prerequisite module(s)
must be loaded before or along with, that module.

For example, the `cdo/2.1` modules requires `compiler/pgi/13.` To load
the cdo module, doing either

`module load compiler/pgi/13`

`module load cdo/2.1`

or

`module load compiler/pgi/13 cdo/2.1` (Note the prerequisite module
**must** be first.)

is acceptable.
{{% /panel %}}

{{% panel theme="info" header="Multiple versions" %}}
Some packages list multiple compilers for prerequisites. This means that
the package has been built with each version of the compilers listed.
{{% /panel %}}

{{% panel theme="warning" header="Custom GPU Anaconda Environment" %}}
If you are using custom GPU Anaconda Environment, the only module you need to load is `anaconda`:

`module load anaconda`
{{% /panel %}}

{{< table url="http://swan-head.unl.edu:8192/lmod/spider/json" >}}
