+++
title = "Connecting with Terminal"
description = "How to connect to HCC clusters using Terminal (Mac/Linux) or Command Prompt (Windows)"
weight = "10"
+++

##### Use of Duo two-factor authentication is **required** to access HCC resources.
##### Please see [Setting up and Using Duo]({{< relref "setting_up_and_using_duo" >}}).
---
- [Starting Terminal:](#starting-terminal)
  - [MacOS](#macos)
  - [Linux](#linux)
  - [Windows](#windows)
    - [Connecting To HCC Clusters](#connecting-to-hcc-clusters)
    - [Next Steps:](#next-steps)

# Starting Terminal:

## MacOS

To start a terminal on MacOS, launch Spotlight by pressing `Command - spacebar`. 
Type "Terminal" and press `enter` to launch the application. You should see a prompt, 
which is a string of text, followed by a `$` or `>` character and a blinking cursor.
Continue to connect by following the [connection directions below]
(#connecting-to-hcc-clusters).

## Linux

Terminal can be opened on most Linux systems by pressing the `Ctrl + Alt + T` keys simultaneously.
You should see a prompt - a string of text, followed by a `$` or `>` character and a blinking cursor.
Continue to connect by following the [connection directions below](#connecting-to-hcc-clusters).


## Windows

The command prompt on Windows systems can be used to connect to HCC Resources.
To start the command prompt, open the start menu 
and type `cmd`. Press `enter` to run. 
You should see a prompt - a string of text, followed by a `$` or `>` character and a blinking cursor.
Continue to connect by following the [connection directions below]
(#connecting-to-hcc-clusters).

If you are using an older versions of Windows, you will need to [download an SSH client such as PuTTY.]({{< relref "putty">}})

### Connecting To HCC Clusters

Once you have opened your terminal and you have a prompt, you can connect using the `ssh` command.
For example, to connect to the Swan cluster type the following in your terminal or Command Prompt window:

{{< highlight bash >}}
$ ssh <username>@swan.unl.edu
{{< /highlight >}}

where `<username>` is replaced with your HCC account name.

The first time you connect to one of our clusters from a computer, you will be prompted to verify the connection:

{{< highlight bash >}}
The authenticity of host 'swan.unl.edu (129.93.227.88)' can't be established.
ECDSA key fingerprint is SHA256:qcyi6CEw1gUgumEghA+TcXFmu39MAO4Pyrt8rT6+ymk.
Are you sure you want to continue connecting (yes/no/[fingerprint])?
{{< /highlight >}}

Type `yes` to indicate that you do intend to connect to Swan.

You will then be prompted for your password. 

{{% notice info %}}Note that when entering your password, the characters you type will 
not be displayed on screen for security reasons.{{% /notice %}} 

Once the account password is entered successfully, two-factor authentication prompt will appear. 

{{< highlight bash >}}
Duo two-factor login for demo01

Enter a passcode or select one of the following options:

 1. Duo Push to XXX-XXX-4247
 2. Phone call to XXX-XXX-4247
 3. SMS passcodes to XXX-XXX-4247

Passcode or option (1-3):
{{< /highlight >}}

Enter the number which corresponds to your preferred option. You will know you have connected 
if your prompt changes to the following:

{{< highlight bash >}}
[<username>@login1.swan ~]$ 
{{< /highlight >}}

### Next Steps:

Now that you are connected, check out these resources to learn more:

 - [Handling Data]({{< relref "../handling_data/">}})
 - [Running Applications]({{< relref "../applications/">}})
 - [Submitting Jobs]({{< relref "../submitting_jobs/">}})

If you are not familiar with using command line Linux, check out these resources:

 - [Basic Linux Commands]({{< relref "basic_linux_commands">}})
 - [Software Carpentry Introduction to the Unix Shell Lesson](http://swcarpentry.github.io/shell-novice/)
