+++
title = "Windows"
description = "Accessing NRDStor Using Windows"
weight=30
+++

Within Windows, NRDStor can be added as a drive for data and appear similar to an external USB hard drive.



To add NRDStor on Windows please follow the below steps:


Open **"File Explorer"**
{{< figure src="/images/File_Explorer.png" width="700" class="img-border">}}


Right click on the **"This PC"** under the side bar and choose **"Map Network Drive"**
{{< figure src="/images/Map_Network_Drive.png" width="700" class="img-border">}}

The following **"Map Network Drive"** will appear
{{< figure src="/images/Map_Network_Drive_2.png" width="700" class="img-border">}}


From the **"Drive"** menu, specify the drive letter for the connection. We choose the letter **"N"** which stands for NRDStor
{{< figure src="/images/Specify_Drive_Letter.png" width="700" class="img-border">}}

{{< figure src="/images/Specify_Folder_1.png" width="700" class="img-border">}}






In the **"Folder"** box, enter **"\\\nrdstor.unl.edu\userspace"** to access your user folder or use **"\\\nrdstor.unl.edu\groupspace"** folder. These are automatically assigned to be in  your primary HCC group's directory.

{{% notice note %}}
The words **userspace** and **groupspace** used to access the NRDStor directory under a primary group are **literal words**, and not placeholders for your HCC group and username.
{{% /notice %}}

{{< figure src="/images/nrdstor_windows_user.png" width="700" class="img-border">}}
{{< figure src="/images/nrdstor_windows_group.png" width="700" class="img-border">}}



If you want to add a place from a secondary group, such as another research group, then you will need to specify the full path in the **"Folder"**  box. Enter **"\\\nrdstor.unl.edu\nrdstor\GROUP\USER"**, replacing **"GROUP" and "USER"** with **your HCC group and username**. For example, the account, **"hccdemo"** who is a member of **"demo"** group would enter **" \\nrdstor.unl.edu\nrdstor\demo\hccdemo"**. 

{{< figure src="/images/nrdstor_windows_full_path.png" width="700" class="img-border">}}
{{< figure src="/images/nrdstor_windows_full_path_example.png" width="700" class="img-border">}}


Click on **"Finish"**. You will be prompted to sign in to an account. **Use your University credentials to sign in, NOT your HCC credentials**. Both your University username and email address will work. **Note that, If you are on a University managed device, a sign-in may not be required**. 

_Note the username is slightly different when **not** using a University-managed machine.  You will need to prepend a prefix to your existing username._

**The credentials to use depends on which campus you are associated with.**  Users from UNL, UNK, and UNO may use their local campus credentials.
Users from UNMC must use their NUID username and password.  Refer to the following table:

| Campus           |  Campus login        |  Windows username |
| ---------------- | -------------------- | ----------------- |
| UNL              | husker@unl.edu       | UNL-AD\husker     |
| UNO              | maverick@unomaha.edu | UNOMAHA\maverick  |
| UNK              | loper@unk.edu        | UNKNET\loper      |
| UNMC (via NUID)  | 00000000 (NUID)      | NEAD\00000000     |

{{< figure src="/images/Network_Credintials_1.png" width="700" class="img-border" title="Sign-in from a University-managed machine">}}


{{% notice info %}}
For a device that is not managed by the University, you will need to add the appropriate prefix before your username. For example "jsmith1@unl.edu" would be "UNL-AD\jsmith1".
{{% /notice %}}

{{< figure src="/images/Network_Credintials_2.png" width="700" class="img-border" title="Sign-in from a non University-managed machine">}}


Once authentication has been successful, NRDStor will now be available from the side bar as a remote location.

{{< figure src="/images/NRDSTOR_Drive_1.png" width="700" class="img-border">}}

{{< figure src="/images/NRDSTOR_2.png" width="700" class="img-border">}}


You can **rename** the NRDStor by right click on the **"NRDStor"** drive and choose **rename**. We rename the drive **"NRDStor"**.
In the future, NRDStor can be access from the side bar or from the **"Network Locations"**, and you can navigate to your group and user directories.
{{< figure src="/images/Rename_Drive_1.png" width="700" class="img-border">}}.
{{< figure src="/images/Rename_Drive_2.png" width="700" class="img-border">}}.



Next: [Accessing NRDStor from Mac]({{< relref "Mac" >}})


