+++
title = "Data Transfer"
description = "How to transfer data to/from HCC resources."
weight = "30"
+++

### [Globus Connect]({{< relref "../data_transfer/globus_connect/" >}})

For moving large amounts of data into or out of HCC resources, users are
highly encouraged to consider using [Globus
Connect]({{< relref "../data_transfer/globus_connect/" >}}).

---
### Using OneDrive

You can use your [Microsoft OneDrive Account]({{< relref "using_rclone_with_hcc" >}}) account to download and
upload files from any of the HCC clusters.

---
### SCP/RSYNC

HCC supports using standard scp or rsync protocols; however clients must properly support two-factor authentication. Examples are provided
for [command-line scp]({{< relref "scp" >}}), [WinSCP]({{< relref "winscp" >}}), and [Cyberduck]({{< relref "cyberduck" >}}).

---
### Nebraska Research Data Storage (NRDStor)
HCC supports [NRDStor]({{< relref "../data_storage/NRDSTOR/" >}}), a large storage device that can be mounted on your personel computer as well as mounted on the clusters. Transferring data to NRDStor from your personal machine is as easy as mounting NRDStor and dragging files into your NRDStor directory.  Directions on how to mount NRDStor are available on the [NRDStor Docs]({{< relref "../data_storage/NRDSTOR/" >}}) page.

---
### Open OnDemand
HCC supports [Open OnDemand]({{< relref "open_ondemand" >}}), a web-based portal for access to the Swan cluster.  Open OnDemand
may also be used to [transfer files]({{< relref "managing_and_transferring_files" >}}) to and from the cluster.  This method is not
recommended for transferring large amounts of data or large numbers of files.

