+++ 
title = "Connecting to CB3 iRODS"
description= "How to connect to the CB3 iRODS instance."
weight = 70
+++

{{% panel theme="danger" header="Sensitive and Protected Data" %}} 
This storage system is not suitable for HIPAA or other PID
data sets.  Users are not permitted to store such data on this system.
{{% /panel %}}

---

There are two methods to connect to the CB3 iRODS instance: using your web browser, or via CyberDuck.

### Connect using your web browser

Simply go to [https://cb3-irodsmain.unl.edu](https://cb3-irodsmain.unl.edu) and login using your my.UNL credentials.
_Please note that the web interface is not suitable for uploading/downloading data in excess of 50MB._  Larger 
data transfers should use CyberDuck instead.


### How to connect using CyberDuck

##### Follow this guide to setup Cyberduck for the first time when connecting to the CB3 iRODS datastore.

1.  Download and install the Cyberduck from [the Cyberduck website](https://cyberduck.io/), or using the following direct links.  
    Cyberduck can also be installed from the Windows or Mac app store.
    -  [Windows installer](https://update.cyberduck.io/windows/Cyberduck-Installer-7.0.2.30998.exe)
    -  [Mac installer](https://update.cyberduck.io/Cyberduck-7.0.2.30998.zip)

2.  <a class="external-link" href="https://cb3-irodsmain.unl.edu/metalnx/images/CB3.cyberduckprofile" ref="nofollow">Download the linked Cyberduck profile (right-click, save-as)</a> to a convenient location.  Some browsers may append `.xml` to the filename. You may need to manually rename it to remove `.xml`.

3.  Double-click on the downloaded file.  It will open Cyberduck and add a new profile with the required information already filled in.
{{< figure src="/images/30442907.png" class="img-border" height="450" >}}
    You may change the `Nickname` if you prefer.  Fill in the Username field with you my.UNL username. 

4.  After filling in your username, close the profile window.  You should now see the Cyberduck bookmarks window with the new bookmark.
{{< figure src="/images/30442929.png" class="img-border" height="450" >}}
    Double-click the new bookmark to open a connection.

5.  A new pop-up box will appear and prompt you for the password.  Enter your my.UNL password and click the `Login` button.
{{< figure src="/images/30442925.png" class="img-border" height="450" >}}

6.  After logging in, a new explorer window will appear and you will be in your personal directory.  You can transfer files or directories by dragging and dropping them to or from your local machine into the window.
{{< figure src="/images/30442927.png" class="img-border" height="450" >}}

### Using the iRODS CLI tools from Swan

The iRODS icommand tools are available on Swan to use for data transfer to/from the clusters.
They first require creating a small json configuration file.  Create a directory named `~/.irods` first by running

{{< highlight bash >}}
$ mkdir -p ~/.irods
{{< /highlight >}}

Next, save the following JSON snippet in a file called `~/.irods/irods_environment.json`:

{{% panel header="`irods_environment.json`"%}}
{{< highlight json >}}
{
    "irods_host": "cb3-irodsmain.unl.edu",
    "irods_port": 1247,
    "irods_user_name": "<USERNAME>",
    "irods_zone_name": "CB3",
    "irods_encryption_key_size": 32,
    "irods_encryption_num_hash_rounds": 16,
    "irods_encryption_salt_size": 8,
    "irods_client_server_policy": "CS_NEG_REQUIRE",
    "irods_authentication_scheme": "PAM"
}
{{< /highlight >}}
{{% /panel %}}

Be sure to **replace the \<USERNAME\> placeholder with your UNL username**.

Load the irods module and run the `iinit` command to login to iRODS, entering your **UNL password** when prompted:

{{< highlight bash >}}
$ module load irods
$ iinit
Enter your current PAM password:
{{< /highlight >}}

If no errors are printed then the login was successful.  Run the `ils` command as a test.  You should see the contents of your
iRODS home folder.

{{< highlight bash >}}
$ ils
/CB3/home/USERNAME:
  myfile1
  myfile2
{{< /highlight >}}

You can now use the iRODS transfer commands such as `iget`, `iput`, `irsync`, etc. to transfer data.  A full list of the
iRODS user commands is listed [here](https://docs.irods.org/master/icommands/user/).
