+++
title = "Activating HCC Cluster Collections"
description = "How to activate HCC collections on Globus"
weight = 20
+++

You will not be able to transfer files to or from an HCC collection using Globus Connect without first activating the collection.  Collections are available for Swan, (`hcc#swan`), and Attic (`hcc#attic`).  Follow the instructions below to activate any of these collections and begin making transfers.

1.  [Sign in](https://app.globus.org) to your Globus account using your campus credentials or your Globus ID (if you have one).  If you use CILogo to authenticate, you will be redirected to your local campus/facility authentication page (UNL in this example) to enter your campus credentials.  Once you've authenticated, you will be redirected back to your Globus dashboard.
{{< figure src="/images/globus_login.png" >}}
Then click on 'Collections' in the left sidebar.  
{{< figure src="/images/globus_click_collections.png" >}} 


2.  Find the collection you want by entering '`hcc#swan`', or '`hcc#attic`' in the search box and hit 'enter'.  Once you have found and selected the collection, click the green 'activate' icon. On the following page, click 'continue'.
{{< figure src="/images/globus_click_activate_icon.png" >}}
{{< figure src="/images/globus_click_activate_continue.png" >}}

4. You will need to link your HCC account to Globus in the next step. 
{{< figure src="/images/globus_hcc_link.png" >}}

5.  You will be redirected to the HCC sign-in page.  Enter your *HCC* username and password (the password you usually use to log into the HCC clusters).
{{< figure src="/images/hccEndpoint.png" >}}

6.  Next you will be prompted to
    provide your *Duo* credentials.  If you use the Duo Mobile app on
    your smartphone or tablet, select 'Duo Push'.  Once you approve the notification that is sent to your phone,
    the activation will be complete.  If you use a Yubikey for
    authentication, select the 'Passcode' option and then press your
    Yubikey to complete the activation. Upon successful activation, you
    will be redirected to your Globus *File Manager* page.  
{{< figure src="/images/EndpointPush.png" >}}
{{< figure src="/images/globus_collection_activated.png" >}}

The collection should now be ready
and will not have to be activated again for the next 7 days.  
To transfer files between any two HCC clusters, you will need to
activate both collections individually. 

In the future, if you need to grant permission for Globus to access your HCC account data, it will show up as an identity of <your_username>@hcc.unl.edu . 
{{< figure src="/images/globus_hcc_ident.png" >}}

Next, learn how to [make file transfers between HCC collections]({{< relref "/handling_data/data_transfer/globus_connect/file_transfers_between_endpoints" >}}) or how to [transfer between HCC collections and a personal computer]({{< relref "/handling_data/data_transfer/globus_connect/file_transfers_to_and_from_personal_workstations" >}}).

---

 
