+++ 
title = "Activating UNL OneDrive on Globus"
description= "How to connect your UNL OneDrive account to Globus"
weight = 80
+++

{{% panel theme="danger" header="Univeristy of Nebraska-Lincoln Only" %}} 
Currently this feature is only available to students, staff, faculty and affiliates
at the University of Nebraska-Lincoln. 
{{% /panel %}}

With Globus, you can transfer data to and from your UNL OneDrive account and other Globus Endpoints, including HCC resources such as [Anvil]({{< relref "../../data_storage/using_attic">}}) and [HCC's clusters]({{< relref "activating_hcc_cluster_endpoints">}}). 


- [Linking your OneDrive account](#linking-your-unl-onedrive-account-to-globus)
- [Accessing Sharepoint Locations from Globus](#accessing-sharepoint-locations-from-globus)


## Linking your UNL OneDrive account to Globus

[Sign in](https://app.globus.org) to your Globus account using your campus credentials or your Globus ID (if you have one). Then under the `Bookmarks` panel, search for the `hcc#onedrive` endpoint. There should be a single endpoint with this search result available. 

{{< figure src="/images/onedrive_search.png" class="img-border" height="200" >}}

You will then need to authenticate and link your UNL identity to Globus.
    
{{< figure src="/images/onedrive_auth.png" class="img-border" height="300" >}}

Click on "Continue" and you will be asked to link an identity from "University of Nebraska-Lincoln (unl.edu)".
You will be redirected to the UNL sign-in page. 

{{< figure src="/images/onedrive_link.png" class="img-border" height="300" >}}

After you have been signed into your UNL account, you will be asked to confirm the permissions used by Globus to 
access your UNL OneDrive account. Click on "Allow" to continue.
    
{{< figure src="/images/onedrive_permissions.png" class="img-border" height="300" >}}

From here, you will be able to use Globus to trasnfer data to and from your UNL OneDrive account under the `hcc#onedrive` endpoint.


## Accessing Sharepoint Locations from Globus.

After linking your UNL OneDrive account to Globus, you can access your personal files as well as Sharepoint sites you are a member of. By default, Globus will show you your personal files first under the `/My Files` path. 
By going to `/` for your path or clicking "Up one folder", you can access your files, files shared with you, and sharepoint files. 

| Path | Description |
|------|-------------|
| `/My Files` | Personal files. |
| `/Shared` | Files shared with you. |
| `/Shared Libraries` | Sharepoint sites you follow. |

{{< figure src="/images/onedrive_sharepoint.png" class="img-border" height="400" >}}


{{% notice note %}}
To enable the visibility of `Shared` folders in Globus from your UNL OneDrive account, you **must follow the Sharepoint site**.  
You can do this by navigating to the Sharepoint homepage and click on the *star* in the top right corner of the shared site box.  
Once the star has been clicked, the `Shared` folder will be visible in the OneDrive directory in Globus.
{{% /notice %}}
