+++
title = "File Sharing"
description = "How to share files using Globus"
weight = 50
+++

If you would like another colleague or researcher to have access to your
data, you may create a shared collection on Swan, or Attic. You can personally manage access to this collection and
give access to anybody with a Globus account (whether or not
they have an HCC account).  *Please use this feature responsibly by
sharing only what is necessary and granting access only to trusted
users.*

{{% notice info %}}
Because of size and performance limitations, HCC does not recommend
creating shares in your `home` directory.
{{% /notice %}}

1.  Sign in to your Globus account, click on the 'File Manager' tab
    and search for the collection that you will use to host your shared
    collection.  For example, if you would like to share data in your
    Swan `work` directory, search for the `hcc#swan` collection.  Once
    you have found the collection, it will need to be activated if it has
    not been already (see [collection activation instructions
    here]({{< relref "activating_hcc_cluster_endpoints" >}})).
     If it is already activated, select the collection by clicking on the
    name.  Then select the 'share' button on the right sidebar.
{{< figure src="/images/globus_share_select.png" >}}
{{< figure src="/images/globus_share_share.png" >}}
      
1.  Click on 'Add a Guest Collection'.  In the 'Path' box, enter the full path to the directory you
    would like to share.  Only files under this directory will be shared
    to the users you grant access.  Enter a name for the collection and provide a
    short description if you wish.  Finally, click 'Create Share'.
{{< figure src="/images/globus_create_share.png" >}}
      
1.  To share the collection with someone, click on 'Add Permissions -- Share With' under the 'Permissions' tab for the shared collection you just created.  Next enter the *relative path* of the
    directory that this user should be able to access.  For example, if
    the source path of your shared collection
    is `/work/<groupid>/<userid>` but you would like your
    colleague to only have access
    to `/work/<groupid>/<userid>/share`, then the 'Path' should be
    entered as simply `/share`.  Under 'Username or Email' type the Globus ID (or group name if you have selected 'group') of the user (or group) to whom you would like to grant
    access.  Finally, click the blue 'Add Permission' button.
     You should see the user or group added to the list.
{{< figure src="/images/globus_share_with.png" >}}
{{< figure src="/images/globus_add_permission.png" >}}
{{< figure src="/images/globus_permission_added.png" >}}
      

---
 


