+++
title = "Managing and Transferring Files with HCC OnDemand"
description = "Managing and Transferring Files with HCC OnDemand"
weight=20
+++

From the OnDemand portal, you can view, edit, rename/move, upload/download, copy, create, and delete files and directories.  First, choose the file system you would like to access (`/home`, `/work`, or `/common`) by selecting it from the "Files" drop-down menu.

{{< figure src="/images/OOD_Files_menu_1.png" width="700" class="img-border">}}

You will be directed to the File Explorer page which displays the directory contents of the chosen file system and provides a user-friendly interface for file operations and transfers.

{{< figure src="/images/OOD_File_explorer_1.png" width="700" class="img-border">}}

Basic file operations can be accomplished by selecting a file or directory and clicking on the button for the desired operation.  Selecting a text file and then clicking the three dot button will pop open a small menu where you will find the "Edit" button. The "Edit" button will open up a separate tab with a text editor, allowing you to modify text files directly through the portal.

{{< figure src="/images/OOD_File_explorer_2.png" width="700" class="img-border">}}
{{< figure src="/images/OOD_Text_editor_1.png" width="700" class="img-border">}}

Switching to a different file system from within the File Explorer page is done by clicking on "Change directory" and typing in the desired directory path.  For example, if you are in your `/home` directory and want to switch to your `/work` directory, type `/work/<groupname>/<username>` in the pop-up window, and then click "OK".

{{< figure src="/images/OOD_Go_to_1.png" width="700" class="img-border">}}

To transfer files between your computer and the cluster file system through OnDemand, use the "Upload" and "Download" buttons in the portal's File Explorer interface.  Clicking the "Upload" button and then "Choose Files" will open a local file browser window for you to select which file(s) you want to upload.  Alternatively, you can drag and drop a file from your computer's file explorer to the OnDemand window to upload it.

{{< figure src="/images/OOD_Upload_1.png" width="700" class="img-border">}}

To download files to your local computer, select the files and directories you want (using `Ctrl+click` and `Shift+click` to select multiple items), and then click the "Download" button.

{{< figure src="/images/OOD_Download_1.png" width="700" class="img-border">}}

To Copy/Move files the following steps needs to be followed

{{< figure src="/images/OOD_copy-move_1.png" width="700" class="img-border">}}

- *Pick the files:* Select the file(s) for moving or copying within the user's home directory.

- *Choose the destination:* Click the Copy/Move tab. Then, specify the desired destination folder for the selected file(s) by navigating to the target folder listed on the left site, below the "Copy" and "Move" buttons.

- *Click Copy or Move:* Click "Copy" (represented by the blue button) to create a duplicate of the file(s) in the specified target directory, while the original file(s) remain untouched in the current location. Choose "Move" (represented by the red button) to create a duplicate of the file(s) only in the target directory.

Next: [Job Management and Submission with HCC OnDemand]({{< relref "job_management_and_submission" >}})
