+++
title = "Virtual Desktop and Interactive Apps with HCC OnDemand"
description = "Virtual Desktop and Interactive Apps with HCC OnDemand"
weight=50
+++

### Currently Available Open OnDemand Applications
Holland Computing Center (HCC) offers the following applications with the HCC OnDemand:

- 3D Slicer
- COMSOL Multiphysics
- Code Server
- CryoSPARC
- DSI-Studio
- FSL
- FreeCAD
- FreeSurfer
- Gate
- IGV
- Jupyter Lab
- MATLAB
- Mathematica
- ParaView
- PyMOL
- QGIS
- RELION
- RStudio Server
- Schrodinger
- SimVascular
- TensorBoard
- Virtual Desktop
- XNAT Desktop Client

{{% notice note %}}
Applications such as COMSOL, CryoSPARC and Schrodinger require valid license, so please make sure you have access to the license or are part of the proper HCC group in order to access these applications.
{{% /notice %}}

{{% notice info %}}
If you would like to request new Linux-based GUI Application to be added to Swan Open OnDemand, please email {{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu) with your request.
{{% /notice %}} 


 
### Virtual Desktop
You can launch a virtual desktop environment or another interactive app by choosing the appropriate selection from the "Interactive Apps" drop-down menu at the top of the OnDemand Dashboard page.

{{< figure src="/images/OOD_Interactive_apps_1.png" width="700" class="img-border">}}

Then fill in the parameters needed by your job (e.g. number of cores, run time, requested RAM, queue type, partition, etc.) and click "Launch".  The job will queue and begin running when a slot is available.

{{< figure src="/images/OOD_Interactive_apps_2.png" width="700" class="img-border">}}

If you've launched a virtual desktop, click "Launch Desktop" once the job begins running.  A virtual desktop window will open, and from here you will be able to run interactive GUI applications on a cluster worker node.

{{< figure src="/images/OOD_Desktop_1.png" width="700" class="img-border">}}

If you've launched an interactive app, click "Connect to APP", replacing "APP" with the app you are starting, once the job begins running.  This will create a new tab in your browser window, and from here you will be able to interact with the application from within your web browser.

Be sure to delete desktop and any other interactive jobs once you are finished with them by selecting the "My Interactive Sessions" button on the OnDemand menu bar and then clicking the red "Delete" button next to the job.

{{< figure src="/images/OOD_Delete_desktop_1.png" width="700" class="img-border">}}

