|       Image Name                |  Username to Connect  |        Access instructions           |                                 Description                                       |
| ------------------------------- | --------------------- | ------------------------------------ | --------------------------------------------------------------------------------- |
| Alma Linux 8.10                 |  `almalinux`          | `ssh -l almalinux <ip address>`      | AlmaLinux is a free and open source Linux distribution that is binary-compatible with Red Hat Enterprise Linux (RHEL).|
| Alma Linux 8.10 Xfce            |  `almalinux`          | [X2Go instructions](/anvil/connecting_to_linux_instances_using_x2go/)   | AlmaLinux 8.10 with the Xfce Desktop Environment pre-installed.|
| Cloudera 5.12 GNOME             |  `cloudera`           | [X2Go instructions](/anvil/connecting_to_linux_instances_using_x2go/) | Cloudera 5.12 QuickStart VM. *Note*: Follow the X2Go instructions, but choose GNOME for the Session type instead of Xfce.|
| Fedora 39 Cloud                 |  `fedora`             | `ssh -l fedora <ip address>`          | Fedora is a Linux distribution developed by the community-supported Fedora Project and sponsored by the Red Hat company.|
| Fedora 40 Cloud                 |  `fedora`             | `ssh -l fedora <ip address>`          | Fedora is a Linux distribution developed by the community-supported Fedora Project and sponsored by the Red Hat company.|
| Fedora 40 Xfce                  |  `fedora`             | [X2Go instructions](/anvil/connecting_to_linux_instances_using_x2go/) | Fedora 40 with the Xfce Desktop Environment pre-installed.|
| Windows 10                      |  `.\cloud-user`       | [Windows instructions](/anvil/connecting_to_windows_instances)       | Windows 10 LTSC edition with remote desktop access.|
| Windows 10 Matlab               |  `.\cloud-user`       | [Windows instructions](/anvil/connecting_to_windows_instances)       | Windows 10 LTSB with Matlab r2013b, r2014b, r2015b, r2016b, r2017a pre-installed. |
| Windows 10 Matlab r2018b/r2019b |  `.\cloud-user`       | [Windows instructions](/anvil/connecting_to_windows_instances)       | Windows 10 LTSC with Matlab r2018b and r2019b pre-installed. |
| Windows 10 SAS                  |  `.\cloud-user`       | [Windows instructions](/anvil/connecting_to_windows_instances)       | Windows 10 LTSC with SAS 9.4 pre-installed. |
| Windows 10 Mathematica          |  `.\cloud-user`       | [Windows instructions](/anvil/connecting_to_windows_instances)       | Windows 10 LTSB with Mathematica 10.4 and 11.0 pre-installed.|
| Windows 10 Mathematica 12.0     |  `.\cloud-user`       | [Windows instructions](/anvil/connecting_to_windows_instances)  | Windows 10 LTSC with Mathematica 12.0 pre-installed.|
| Ubuntu Cloud 20.04 LTS          |   `ubuntu`            | `ssh -l ubuntu <ip address>`         | Ubuntu Cloud Image from the 20.04 Long Term Support release.|
| Ubuntu Cloud 22.04 LTS          |   `ubuntu`            | `ssh -l ubuntu <ip address>`         | Ubuntu Cloud Image from the 22.04 Long Term Support release.|
| Ubuntu 22.04 LTS Xfce           |   `ubuntu`            | [X2Go instructions](/anvil/connecting_to_linux_instances_using_x2go/) | Ubuntu 22.04 with the Xfce Desktop Environment pre-installed.|
| MariaDB Server 10.5             |   `centos`/`root`     | `ssh -l centos <ip address>`/[MySQL instructions](/anvil/using_mysql)  | CentOS 7 based image with a pre-configured MariaDB server. |
