+++
title = "Create Local BLAST Database"
description =  "How to create local BLAST database on HCC resources"
weight = "10"
+++


The basic way to create a local BLAST database is to use the **makeblastdb** command:
{{< highlight bash >}}
$ makeblastdb -in input_reads.fasta -dbtype [nucl|prot] -out input_reads_db
{{< /highlight >}}
where **input_reads.fasta** is the input file containing all sequences that need to be made into a database, and **dbtype** can be either `nucl` or `prot` depending on the type of the input file.


Simple example of how **makeblastdb** can be run on Swan using SLURM script and nucleotide database is shown below:
{{% panel header="`blast_db.submit`"%}}
{{< highlight bash >}}
#!/bin/bash
#SBATCH --job-name=Blast_DB
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --time=168:00:00
#SBATCH --mem=10gb
#SBATCH --output=BlastDB.%J.out
#SBATCH --error=BlastDB.%J.err

module load blast/2.10

makeblastdb -in input_reads.fasta -dbtype nucl -out input_reads_db
{{< /highlight >}}
{{% /panel %}}


More parameters used with **makeblastdb** can be seen by typing:
{{< highlight bash >}}
$ makeblastdb -help
{{< /highlight >}}
